aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--tools/Linux/xbmc.sh.in10
1 files changed, 6 insertions, 4 deletions
diff --git a/tools/Linux/xbmc.sh.in b/tools/Linux/xbmc.sh.in
index 28d98a10cd..5c240c77c1 100644
--- a/tools/Linux/xbmc.sh.in
+++ b/tools/Linux/xbmc.sh.in
@@ -108,10 +108,12 @@ if [ $RET -ne 0 ]; then
exit $RET
fi
-# Output warning in case ulimit is unsupported by shell
-eval ulimit -c unlimited
-if [ ! $? = "0" ]; then
- echo "xbmc: ulimit is unsupported by this shell" 1>&2
+if which gdb >/dev/null 2>&1; then
+ # Output warning in case ulimit is unsupported by shell
+ eval ulimit -c unlimited
+ if [ ! $? = "0" ]; then
+ echo "xbmc: ulimit is unsupported by this shell" 1>&2
+ fi
fi
LOOP=1